local M = {}

local function onInit()
	electrics.values['RPM_led2'] = 0
	electrics.values['RPM_led3'] = 0
	electrics.values['screen'] = 0
	electrics.values['4wd'] = 0
end

local function onReset()
	onInit()
end

local function updateGFX(dt)
	
	if electrics.values['rpm'] > 5960 then 
	   electrics.values['RPM_led2'] = 1 else electrics.values['RPM_led2'] = 0
	end
	
	if electrics.values['rpm'] > 6200 then 
	   electrics.values['RPM_led3'] = 1 else electrics.values['RPM_led3'] = 0
	end
	
end

-- public interface
M.onInit = onInit
M.onReset = onReset
M.updateGFX = updateGFX

return M